using System;
using ExampleApplication.Example;
using InfiniTec.Exchange.WebDav;
using System.Windows.Forms;

namespace ExampleApplication.Examples.Object_Model_Examples
{
    [View("View/Edit Appointment", "Object model")]
    public partial class EditAppointment : ExampleBase
    {
        private CalendarItem _Appointment;

        public EditAppointment()
        {
            InitializeComponent();
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            _Appointment = new CalendarItem(RootPath, ConnectionView.Connection);
            _Appointment.Refresh();


            propertyGrid.SelectedObject = _Appointment;
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            _Appointment.Save();
        }

        private void btnNew_Click(object sender, EventArgs e)
        {
            _Appointment = new CalendarItem(RootPath, ConnectionView.Connection);
            propertyGrid.SelectedObject = _Appointment;
        }
    }
}

