using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using InfiniTec.Exchange.WebDav;

namespace ExampleApplication.Examples.Object_Model_Examples
{
    [View("View/Edit Task", "Object model")]
    public partial class EditTask : ExampleApplication.Example.ExampleBase
    {
        TaskItem _Task;

        public EditTask()
        {
            InitializeComponent();
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            _Task = new TaskItem(RootPath, ConnectionView.Connection);
            _Task.Refresh();

            propertyGrid.SelectedObject = _Task;
        }

        private void btnNew_Click(object sender, EventArgs e)
        {
            _Task = new TaskItem(RootPath, ConnectionView.Connection);

            propertyGrid.SelectedObject = _Task;
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            _Task.Save();
        }

    }
}

