using System;
using System.Collections.Generic;
using ExampleApplication.Example;
using InfiniTec.Exchange.WebDav;

namespace ExampleApplication.Examples.Object_Model_Examples
{
    [View("Update Message", "Object model")]
    public partial class UpdateItem : ExampleBase
    {
        MessageItem _Item;
        
        public UpdateItem()
        {
            InitializeComponent();
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            _Item = new MessageItem(RootPath, ConnectionView.Connection);
            _Item.Refresh();

            propertyGrid.SelectedObject = _Item;
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
           _Item.Save();
        }
    }
}

